Last Comment Bug 474058 - Drop support for window.directories
: Drop support for window.directories
Status: RESOLVED FIXED
: dev-doc-complete
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla1.9.3a5
Assigned To: :Ms2ger (⌚ UTC+1/+2)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-16 15:33 PST by Hixie (not reading bugmail)
Modified: 2010-07-04 13:16 PDT (History)
4 users (show)
Ms2ger: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Fix (6.04 KB, patch)
2010-03-13 12:02 PST, :Ms2ger (⌚ UTC+1/+2)
no flags Details | Diff | Splinter Review
Fix with new uuid (6.56 KB, patch)
2010-03-13 12:12 PST, :Ms2ger (⌚ UTC+1/+2)
jst: review+
Details | Diff | Splinter Review
Remove argument to window.open and pref (2.44 KB, patch)
2010-05-13 06:54 PDT, :Ms2ger (⌚ UTC+1/+2)
jst: review+
Details | Diff | Splinter Review
Patch for checkin (8.79 KB, patch)
2010-05-17 00:30 PDT, :Ms2ger (⌚ UTC+1/+2)
no flags Details | Diff | Splinter Review

Description Hixie (not reading bugmail) 2009-01-16 15:33:43 PST
window.directories in Gecko returns the same [BarProp] object as window.personalbar. No other browser supports it. Unless support for this is needed, we should drop it. If support is needed, please let me know so I can add it to the spec.
Comment 1 :Ms2ger (⌚ UTC+1/+2) 2010-03-13 12:02:10 PST
Created attachment 432351 [details] [diff] [review]
Fix
Comment 2 :Ms2ger (⌚ UTC+1/+2) 2010-03-13 12:12:45 PST
Created attachment 432352 [details] [diff] [review]
Fix with new uuid
Comment 3 Johnny Stenback (:jst, jst@mozilla.com) 2010-05-06 17:15:05 PDT
Comment on attachment 432352 [details] [diff] [review]
Fix with new uuid

Stealing review. r=jst
Comment 4 Dão Gottwald [:dao] 2010-05-12 00:20:03 PDT
What about dom.disable_window_open_feature.directories?
Comment 5 :Ms2ger (⌚ UTC+1/+2) 2010-05-12 12:45:20 PDT
(In reply to comment #4)
> What about dom.disable_window_open_feature.directories?

Something else entirely, it's related to window.open(). Hixie actually wants to drop all support for the features argument, so I'd rather not spend time on it.

(Note: Used in <http://mxr.mozilla.org/mozilla-central/source/embedding/components/windowwatcher/src/nsWindowWatcher.cpp#1501>.)
Comment 6 Dão Gottwald [:dao] 2010-05-12 12:51:57 PDT
(In reply to comment #5)
> (In reply to comment #4)
> > What about dom.disable_window_open_feature.directories?
> 
> Something else entirely, it's related to window.open().

So is window.directories, except that it exposes the state while the directories argument allows setting it. directories=... duplicates personalbar=... just like window.directories duplicates window.personalbar. Keeping both things in sync in seems only logical, regardless of any future plans to drop all feature arguments.
Comment 7 :Ms2ger (⌚ UTC+1/+2) 2010-05-13 06:54:37 PDT
Created attachment 445103 [details] [diff] [review]
Remove argument to window.open and pref

Fair enough.
Comment 8 Dão Gottwald [:dao] 2010-05-13 14:40:20 PDT
Comment on attachment 445103 [details] [diff] [review]
Remove argument to window.open and pref

Don't think my feedback is needed here beyond what I said in my previous comment...
Comment 9 :Ms2ger (⌚ UTC+1/+2) 2010-05-17 00:30:07 PDT
Created attachment 445651 [details] [diff] [review]
Patch for checkin

Merged to tip. r=jst.
Comment 10 Marco Bonardo [::mak] 2010-05-17 02:44:01 PDT
does not apply cleanly here, can you provide an updated patch please?
Comment 11 Dão Gottwald [:dao] 2010-05-19 11:24:07 PDT
http://hg.mozilla.org/mozilla-central/rev/e0a9a9ea63f1
Comment 12 :Ms2ger (⌚ UTC+1/+2) 2010-05-20 11:28:09 PDT
I added a note to <https://developer.mozilla.org/en/Upcoming_Firefox_features_for_developers#Miscellaneous_DOM_changes> and removed it from <https://developer.mozilla.org/en/DOM%3awindow.open>. Is any more documentation needed?
Comment 13 Dão Gottwald [:dao] 2010-05-20 11:37:32 PDT
https://developer.mozilla.org/en/DOM%3awindow.open used to say:

"directories: [...] in MSIE 5+, it renders the Links bar. [...] personalbar: Same as directories but only supported by Netscape and Mozilla-based browsers."

Was that incorrect?
Comment 14 j.j. 2010-05-20 12:56:55 PDT
You should not remove information from MDC as long as older browser versions are in use. People may use obsolete features or search for info why it doesn't work.
  
I propose:

https://developer.mozilla.org/en/DOM/window#Properties
Add an obsolete-inline template

https://developer.mozilla.org/En/DOM/Window.directories
Add an obsolete-header template,
mention the Gecko/Firefox version which dropped it,
recommend use of "window.personalbar" instead,
(perhaps link to this bug if you think it's helpful).
Comment 15 :Ms2ger (⌚ UTC+1/+2) 2010-05-21 03:10:43 PDT
Apparently IE doesn't support any of the BarProp objects, but up to IE6, it did support the directories feature to window.open. (See also <http://msdn.microsoft.com/en-us/library/ms536651%28VS.85%29.aspx>.) (WebKit seems to ignore the features, and support only the personalbar object. Opera seems to support neither the features nor any BarProp objects.)

Made changes to
https://developer.mozilla.org/en/DOM/window.open
https://developer.mozilla.org/en/DOM/window#Properties
https://developer.mozilla.org/En/DOM/Window.directories

Note You need to log in before you can comment on or make changes to this bug.